## NAME

           pthread_delete_np - delete a real-time thread

## SYNOPSIS

           #include <rtl_sched.h>

           int pthread_delete_np (pthread_t thread);

## DESCRIPTION

           This function is a non-portable Real-Time Linux extension.
           pthread_delete_np deletes the real-time thread thread pre
           viously    created    by   a   call   to   pthread_create.
           pthread_delete_np can be used to kill threads  running  on
           other than current CPU.

## RETURN VALUE

           pthread_delete_np  returns  0  on  success  and a non-zero
           error code on error.

## ERRORS

           ESRCH  No thread could  be  found  corresponding  to  that
                  specified by the given thread ID.

## AUTHOR

           Michael Barabanov <baraban@fsmlabs.com>

## SEE ALSO

           pthread_create(3)